# MCException.h File Reference

## Classes
class | TMCException
## Defines
#define | EXCEPTION_ERR(inErrID) (inErrID), (__FILE__), (__LINE__)
#define | ThrowException(inErrID, inErrorString) throw TMCException( (inErrID), (inErrorString), (__FILE__), (__LINE__) );
#define | ThrowIfNil(a)
#define | ThrowIfNoMem(a)
#define | ThrowIfError(a)
#define | THROW_IF_ERR(inErr)
#define | ThrowIfNilNonRelease(a)
#define | TRY try
#define | CATCH catch(TMCException&)
#define | CATCH_ARG(_except) catch(TMCException& _except)
#define | THROWAGAIN(_except) throw (_except)
#define | THROW(a) throw TMCException(a)
#define | SUCCESS
#define | DECLAREVOLATILE(a, b) a volatile b;
## Functions
void | CatchPlatformException (boolean doCatch)

## Define Documentation

#define CATCH catch(TMCException&)

#define CATCH_ARG | ( | _except |  | ) | catch(TMCException& _except)

#define DECLAREVOLATILE | ( | a,
|  | b |  | ) | a volatile b;

#define EXCEPTION_ERR | ( | inErrID |  | ) | (inErrID), (__FILE__), (__LINE__)

#define SUCCESS

#define THROW | ( | a |  | ) | throw TMCException(a)

#define THROW_IF_ERR | ( | inErr |  | ) |

Value:

    if ( inErr )                                                                            \
                    throw TMCException( EXCEPTION_ERR( inErr ) );   \
            else                                                                                            \
                    0;

#define THROWAGAIN | ( | _except |  | ) | throw (_except)

#define ThrowException | ( | inErrID,
|  | inErrorString |  | ) | throw TMCException( (inErrID), (inErrorString), (__FILE__), (__LINE__) );

#define ThrowIfError | ( | a |  | ) |

Value:

    if ((a) != kNoErr)                                                              \
                    throw TMCException( EXCEPTION_ERR( a ));        \
            else                                                                                    \
                    0;

#define ThrowIfNil | ( | a |  | ) |

Value:

    if (!(a))                                                                                                       \
                    throw TMCException( EXCEPTION_ERR( kNilPointerError )); \
            else                                                                                                            \
                    0;

#define ThrowIfNilNonRelease | ( | a |  | ) |

#define ThrowIfNoMem | ( | a |  | ) |

Value:

    if (!(a))                                                                                                       \
                    throw TMCException( EXCEPTION_ERR( kMemAllocError ));   \
            else                                                                                                            \
                    0;

#define TRY try

## Function Documentation

void CatchPlatformException | ( | boolean | doCatch | ) |